

DB = {
    #CLASSIC GAMES
    "The Legend Of Zelda": [
        "The original game was inspired by creator Shigeru Miyamoto's childhood adventures exploring caves.",
        "Zelda was named after American novelist Zelda Fitzgerald.",
        "The 'Zelda timeline' is officially split into three separate branches."
    ],
    "Super Mario Bros.": [
        "Mario was originally called 'Jumpman' in Donkey Kong (1981).",
        "The Minus World glitch allows players to enter an infinite underwater level.",
        "Shigeru Miyamoto composed the iconic overworld theme on a piano."
    ],
    "Tetris": [
        "Tetris was created in 1984 by a Soviet programmer, Alexey Pajitnov.",
        "The game's original rights were controlled by the Soviet government.",
        "Tetris is considered one of the most ported video games of all time."
    ],
    "Pac-Man": [
        "The first Pac-Man game was released in 1980 and originally called 'Puck Man' in Japan.",
        "The ghosts in Pac-Man (Blinky, Pinky, Inky, Clyde) each have unique movement patterns.",
        "The highest possible score in Pac-Man is 3,333,360 points."
    ],
    
    #MODERN SINGLE-PLAYER HITS
    "Elden Ring": [
        "Elden Ring was developed in collaboration with Game of Thrones author George R.R. Martin.",
        "The game features an open-world structure, making it FromSoftware’s largest game to date.",
        "One of the most iconic bosses, Malenia, has defeated millions of players worldwide."
    ],
    "Baldur's Gate 3": [
        "Baldur's Gate 3 is based on Dungeons & Dragons 5th Edition rules.",
        "It was in early access for nearly three years before its full release in 2023.",
        "The game has one of the highest Metacritic ratings of all time."
    ],
    "The Last of Us": [
        "The game's Cordyceps infection is inspired by a real parasitic fungus that affects insects.",
        "Ellie’s character was partially inspired by actress Ellen Page, but later redesigned.",
        "The Last of Us won over 200 Game of the Year awards."
    ],
    "God of War (2018)": [
        "Kratos was originally voiced by Terrence C. Carson, but Christopher Judge took over in 2018.",
        "The game's single continuous shot style means there are no visible loading screens or cuts.",
        "The game is heavily inspired by Norse mythology, transitioning away from the Greek pantheon."
    ],
    "Red Dead Redemption 2": [
        "The game has over 500,000 lines of dialogue recorded by voice actors.",
        "Arthur Morgan's journal entries change dynamically based on his experiences in the game.",
        "It took eight years to develop and features one of the most detailed open worlds ever created."
    ],
    
    #ESPORTS & COMPETITIVE GAMES
    "League of Legends": [
        "League of Legends started as a mod for Warcraft III called Defense of the Ancients (DotA).",
        "There are over 160 champions in the game, with new ones added regularly.",
        "The game's lore has expanded massively, leading to the creation of the Arcane Netflix series."
    ],
    "Dota 2": [
        "Dota 2's International tournament offers some of the largest prize pools in esports history.",
        "It was originally a community mod for Warcraft III before being developed by Valve.",
        "The game has a steep learning curve but remains one of the most played PC games worldwide."
    ],
    "Overwatch 2": [
        "Overwatch 2 introduced a 5v5 team format, removing one tank player per team.",
        "The game’s voice lines change dynamically based on the characters interacting.",
        "Overwatch’s original development started as an MMO project before being turned into a shooter."
    ],
    "Fortnite": [
        "Fortnite originally started as a tower defense game before becoming a battle royale sensation.",
        "It has featured crossovers with Marvel, DC, and even musicians like Travis Scott.",
        "The game’s black hole event in 2019 shut down servers for nearly two days before revealing Chapter 2."
    ],
    "Counter-Strike 2": [
        "Counter-Strike was originally a mod for Half-Life before becoming a standalone game.",
        "CS2 replaced Global Offensive in 2023, introducing a new tick-rate system.",
        "The AWP sniper rifle has the highest damage per shot in the game."
    ],
    
    #RPGs & ADVENTURE GAMES
    "The Witcher 3: Wild Hunt": [
        "Gwent, the in-game card game, became so popular that it was turned into a standalone game.",
        "The game features multiple endings based on the player’s choices.",
        "Ciri’s teleportation references other game universes, including Cyberpunk 2077."
    ],
    "Cyberpunk 2077": [
        "Keanu Reeves' character, Johnny Silverhand, was originally meant to have less screen time.",
        "Despite a rough launch, Cyberpunk 2077's Phantom Liberty expansion significantly improved the game.",
        "CD Projekt Red spent nearly a decade developing the game."
    ],
    
    #INDIE & CULT FAVORITES
    "Hollow Knight": [
        "Hollow Knight was developed by just three people at Team Cherry.",
        "The game was inspired by classic Metroidvania titles and Dark Souls.",
        "Hollow Knight: Silksong is a highly anticipated sequel that fans have been waiting for."
    ],
    "Stardew Valley": [
        "Stardew Valley was created by a single developer, ConcernedApe, over four years.",
        "The game was originally inspired by Harvest Moon.",
        "The developer continues to release free updates years after launch."
    ],
    "Undertale": [
        "Undertale was created by Toby Fox almost entirely by himself, including the music.",
        "The game features a unique 'Pacifist Route' where players can beat the game without killing any enemies.",
        "Sans, one of the most famous characters, has deep connections to hidden game lore."
    ],
    
    #SHOOTERS & ACTION GAMES
    "Call of Duty: Modern Warfare II (2022)": [
        "The game features photorealistic graphics using an improved IW engine.",
        "Ghost’s real name is Simon Riley, a fan-favorite character from the franchise.",
        "Warzone 2.0 introduced proximity chat, allowing players to hear enemies talking nearby."
    ],
    "Resident Evil 4 Remake": [
        "Leon’s jacket in the game is based on a real $1,500 designer jacket from Schott NYC.",
        "Resident Evil 4 popularized the over-the-shoulder third-person camera in gaming.",
        "The game's remake introduces modernized graphics and new gameplay mechanics."
    ],
    "Street Fighter 6": [
        "Street Fighter 6 introduces real-time commentary inspired by esports broadcasts.",
        "The game includes a fully explorable open-world mode called 'World Tour.'",
        "It continues Capcom’s long-running fighting game legacy that started in 1987."
    ]
}
